Browse Source

Uplift Promenade to latest commit (k8s 1.20)

Updates Pegleg to include the latest Promenade updates, including
changes to support Kubernetes v1.20.

Complete list of Pegleg changes since the previous uplift:
* 06254b3 CoreDNS: Uplift to 1.7.0
* ae6782b Kubernetes: Uplift to v1.20.5
* 5cf854e CoreDNS: Migrate Corefile to version 1.6.4
* 9533be3 Add required apiserver serviceaccount flags
* f3febea Gate stability improvements
* 300a399 apiserver(-webhook): Allow fileless kube-apiserver command_options

Change-Id: I61fb95e0d35bb10b6f22f4dd1cff79a6d5f92df4
changes/46/785946/5
Phil Sphicas 6 months ago
parent
commit
1997595fc2
  1. 2
      Pipfile
  2. 2
      Pipfile.lock
  3. 2
      requirements.txt
  4. 2
      vcs-requirements.env

2
Pipfile

@ -28,7 +28,7 @@ pylibyaml = "~=0.1"
PyYAML = "~=5.1"
deckhand = {git = "https://opendev.org/airship/deckhand.git",ref = "1f0c011a1708c1235a2be65edada7d386cd55d2a"}
shipyard-client = {git = "https://opendev.org/airship/shipyard.git",ref = "35e5a7f796a5341e02fb0d3f2d27b41e2fb39131",subdirectory = "src/bin/shipyard_client"}
promenade = {git = "https://opendev.org/airship/promenade.git",ref = "fd9f3d6cec766f3fe76e39bdc5de1a0ad9825653"}
promenade = {git = "https://opendev.org/airship/promenade.git",ref = "06254b36edb6aaa97e9eadd72d0b7ed8b4f3d0be"}
"oslo.i18n" = "~=3.24.0"
"oslo.utils" = ">=3.42.1"
six = ">=1.15.0"

2
Pipfile.lock

@ -722,7 +722,7 @@
},
"promenade": {
"git": "https://opendev.org/airship/promenade.git",
"ref": "fd9f3d6cec766f3fe76e39bdc5de1a0ad9825653"
"ref": "06254b36edb6aaa97e9eadd72d0b7ed8b4f3d0be"
},
"psycopg2-binary": {
"hashes": [

2
requirements.txt

@ -28,7 +28,7 @@ fixtures==3.0.0
flake8==3.7.9
futurist==2.2.0; python_version >= '3.6'
git+https://opendev.org/airship/deckhand.git@1f0c011a1708c1235a2be65edada7d386cd55d2a#egg=deckhand
git+https://opendev.org/airship/promenade.git@fd9f3d6cec766f3fe76e39bdc5de1a0ad9825653
git+https://opendev.org/airship/promenade.git@06254b36edb6aaa97e9eadd72d0b7ed8b4f3d0be
git+https://opendev.org/airship/shipyard.git@35e5a7f796a5341e02fb0d3f2d27b41e2fb39131#egg=shipyard-client&subdirectory=src/bin/shipyard_client
gitdb2==2.0.6; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
gitpython==2.1.15

2
vcs-requirements.env

@ -1,3 +1,3 @@
DECKHAND_VERSION=commit/1f0c011a1708c1235a2be65edada7d386cd55d2a
SHIPYARD_VERSION=commit/35e5a7f796a5341e02fb0d3f2d27b41e2fb39131
PROMENADE_VERSION=commit/fd9f3d6cec766f3fe76e39bdc5de1a0ad9825653
PROMENADE_VERSION=commit/06254b36edb6aaa97e9eadd72d0b7ed8b4f3d0be
Loading…
Cancel
Save